Bug 113169 - The vertical layout of double-byte characters and half-width characters is NG
Summary: The vertical layout of double-byte characters and half-width characters is NG
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: backportRequest
Keywords:
Depends on:
Blocks: Vertical-Text
  Show dependency treegraph
 
Reported: 2017-10-17 04:44 UTC by Junichi Matsukawa
Modified: 2017-11-30 06:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Format Cells - Alignment - Text Alignment (49.75 KB, image/png)
2017-10-17 04:44 UTC, Junichi Matsukawa
Details
5.4.2.2NG (88.26 KB, image/png)
2017-10-17 04:45 UTC, Junichi Matsukawa
Details
5.4.1.2OK (97.92 KB, image/png)
2017-10-17 04:46 UTC, Junichi Matsukawa
Details
Vertical text formatted incorrectly in Writer 5.4.2(Windows) (45.79 KB, image/png)
2017-10-18 12:11 UTC, Tomofumi Yagi
Details
CJK punctuations formatted incorrectly (164.15 KB, image/png)
2017-10-21 11:11 UTC, Volga
Details
6.0.0.0.alpha calc test (23.09 KB, image/png)
2017-10-31 08:04 UTC, Junichi Matsukawa
Details
Fixed in the LibreOffice6.0.0BETA1 (175.49 KB, image/png)
2017-11-30 00:24 UTC, Junichi Matsukawa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Junichi Matsukawa 2017-10-17 04:44:14 UTC
Created attachment 137029 [details]
Format Cells - Alignment - Text Alignment

Version: 5.4.2.2
Build ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
CPU threads: 4; OS: Windows 6.2; UI render: default;
Locale: ja-JP (ja_JP); Calc: single 

1.I wrote a character mixed with double-byte and half-width characters in the cell.
2.I wanted to make it vertically. Format Cells - Text Alignment. I cheked the Vertically stacked and the Asian layout mode.
3.The layout was NG.

4.So I compared 5.4.2.2 and 5.4.1.2 on the Separate Install GUI.
5.The layout was NG on the 5.4.2.2. The layout was OK on the 5.4.1.2.
Comment 1 Junichi Matsukawa 2017-10-17 04:45:01 UTC
Created attachment 137030 [details]
5.4.2.2NG
Comment 2 Junichi Matsukawa 2017-10-17 04:46:54 UTC
Created attachment 137031 [details]
5.4.1.2OK
Comment 3 Tomofumi Yagi 2017-10-18 12:05:20 UTC
Hi,
I have reproduced with
Version: 5.4.2.0.0+ (x64)
Build ID: ddba061b07e55dfd2c91320ca790ff88618b132c
CPU threads: 8; OS: Windows 6.19; UI render: default; 
Locale: ja-JP (ja_JP); Calc: group

1) I seem that this problem occurs after the following patch committed.
commit	ddba061b07e55dfd2c91320ca790ff88618b132c
(tdf#109142: Update to HarfBuzz 1.4.8)
https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=ddba061b07e55dfd2c91320ca790ff88618b132c

2) Writer has same problem.
Steps to Reproduce:
1. Open Writer
2. Format menu -> Page -> Text direction -> Right-to-left (vertical).
3. Copy and paste Japanese and alphabetical characters,"日本語abc縦書"
Comment 4 Tomofumi Yagi 2017-10-18 12:11:44 UTC
Created attachment 137075 [details]
Vertical text formatted incorrectly in Writer 5.4.2(Windows)
Comment 5 Tomofumi Yagi 2017-10-18 23:07:50 UTC
I have reproduced with
Version: 6.0.0.0.alpha0+ (x64)
Build ID: 8eacd3be08bf6e1a97900624611822de9b00a379
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: ja-JP (ja_JP); Calc: group
Comment 6 Volga 2017-10-21 11:11:15 UTC
Created attachment 137183 [details]
CJK punctuations formatted incorrectly

This bug also affect Mongolian fonts while opening attachment 128631 [details], both Oyun Qagan Tig (https://web.archive.org/web/20170706093249/http://oyun.mglip.com/mongolfont/index.aspx) and Mongolian Baiti are affected in this file, and a long gap appearing in the character steam.
Comment 7 Junichi Matsukawa 2017-10-31 08:04:00 UTC
Created attachment 137394 [details]
6.0.0.0.alpha calc test

I tested calc on 6.0.0.0.alpha.
I tested it using Noto Sans CJK JP Medium font.

A similar bug has occurred.


バージョン: 6.0.0.0.alpha1
Build ID: c1d1f859b268f650143d48f294999cda0fa57350
CPU threads: 4; OS: Windows 10.0; UI render: default; 
ロケール: ja-JP (ja_JP); Calc: CL
Comment 8 Junichi Matsukawa 2017-11-01 01:03:37 UTC
(In reply to Junichi Matsukawa from comment #0)
> Created attachment 137029 [details]
> Format Cells - Alignment - Text Alignment
> 
> Version: 5.4.2.2
> Build ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
> CPU threads: 4; OS: Windows 6.2; UI render: default;
> Locale: ja-JP (ja_JP); Calc: single 
> 
> 1.I wrote a character mixed with double-byte and half-width characters in
> the cell.
> 2.I wanted to make it vertically. Format Cells - Text Alignment. I cheked
> the Vertically stacked and the Asian layout mode.
> 3.The layout was NG.
> 
> 4.So I compared 5.4.2.2 and 5.4.1.2 on the Separate Install GUI.
> 5.The layout was NG on the 5.4.2.2. The layout was OK on the 5.4.1.2.
Comment 9 Volga 2017-11-28 05:40:49 UTC
This bug seems fixed in bug 111967 for 'master' branch, backport to 5.4 branch would be better.
Comment 10 Junichi Matsukawa 2017-11-29 07:51:17 UTC
Hi Volga.

Thank you for the information.
I'd like to fix and backport.
Comment 11 Junichi Matsukawa 2017-11-30 00:24:30 UTC
Created attachment 138088 [details]
Fixed in the LibreOffice6.0.0BETA1

I confirmed it was fixed at 6.0.0BETA1.

I thank everyone contribution.